﻿' Program:      Ch7 for/Each
' Programmer:   Anthony DePinto
' Date:         Fall 2014
' Description:  Using a For Each...Next loop to find the smallest value in an array.

Public Class FindTheSmallest
    Dim GradesArray() As Integer = {90, 80, 70, 95, 74, 62, 100, 85, 82, 78}

    ' finds smallest randomly generated number
    Private Sub findSmallestButton_Click(sender As Object,
       e As EventArgs) Handles findSmallestButton.Click

        Dim LowGradeInteger As Integer = 100 ' start with the maximum grade value

        ' use For Each...Next to find the minimum grade
        For Each GradeInteger In GradesArray
            If GradeInteger < LowGradeInteger Then
                LowGradeInteger = GradeInteger ' current grade is the lowest one so far
            End If
        Next

        smallestGradeResultLabel.Text = Convert.ToString(LowGradeInteger)
        findSmallestButton.Enabled = False ' disable Find Smallest button
    End Sub ' findSmallestButton_Click
End Class ' FindTheSmallest

